#{form @lelang.EvaluasiCtr.submit_penetapan_express(lelang.lls_id), id:'formPenetapanPemenang'}
<table class="table table-sm">
	<tr>
		<th width="5"></th>
		<th width="5">No</th>
		<th>Peserta</th>
		<th width="160">&{'lelang_evaluasi.hg_reverse'} (Rp)</th>
        #{if lelang.evaluasi.nilai}
			<th width="50">&{'lelang_evaluasi.skor_akhir'}</th>
        #{/if}
	</tr>
    #{if editable}
        #{alert /}
        #{list items:pesertaList, as:'pesertaItem'}
            #{set i : pesertaItem_index - 1 /}
			<tr>
				<td>
					<input type="radio" class="form-check-input" id="${i}" name="radio" value="${pesertaItem.nev_id}" #{if i == 0}
					       checked="checked" #{/if}>
					<input type="hidden" id="psr_${i}" name="namaPeserta"
					       value="${pesertaItem?.peserta.namaPeserta}" #{if evaluasi.eva_status.isSelesai() || allowPenetapan || psr_id == 0}
					       disabled="disabled" #{/if}>
				</td>
				<td align="center">${pesertaItem_index}<input type="hidden" name="nilai[${i}]"
				                                              value="${pesertaItem.nev_id}"/></td>
				<td>${pesertaItem?.peserta.namaPeserta}
					<div id="div-alasan${i}" style="display:none">
						&{'lelang_evaluasi.alasan_gagal'} <textarea name="alasan[]" class="form-control"></textarea>
					</div>
				</td>
				<td>
                    #{if lelang.kategori.konsultansi || lelang.kategori.jkKonstruksi}
						<input type="text" name="harga[${i}]" onkeypress="return isNumberKey(event)"
						       class="form-control" value="${pesertaItem.nev_harga?.rupiah()}"/>
                    #{/if}
                    #{else}
                        #{if lelang.jumlahPenawar < 3}
							<input type="text" name="harga[${i}]" onkeypress="return isNumberKey(event)"
							       class="form-control" value="${pesertaItem.nev_harga?.rupiah()}"/>
                        #{/if}
                        #{else}
                        ${pesertaItem?.nev_harga?.rupiah()}
                        #{/else}
                    #{/else}
				</td>
                #{if lelang.evaluasi.nilai}
					<td><input type="text" min="1" name="skor[${i}]" style="width:70px;"
					           value="${pesertaItem?.nev_skor}" class="form-control nilaiEvaluasi"/></td>
                #{/if}
			</tr>


        #{/list}
    #{/if}
    #{else}
        #{list items:pesertaList, as:'pesertaItem'}
            #{set i : pesertaItem_index - 1 /}
			<tr>
				<td><input class="form-check-input" type="radio" name="radio"
				           value="${pesertaItem.nev_id}" #{if pesertaItem.psr_id == psr_id}
				           checked="checked" #{/if} #{if evaluasi.eva_status.isSelesai() || allowPenetapan}
				           disabled="disabled" #{/if}>
					<input type="hidden" id="psr_${i}" name="namaPeserta" value="${pesertaItem?.peserta.namaPeserta}">
				</td>
				<td align="center">${pesertaItem_index}</td>
				<td>${pesertaItem?.peserta?.namaPeserta}

                    #{if pesertaItem?.peserta?.psr_alasan_menang}
						<br>&{'lelang_evaluasi.alasan_gagal2'} ${pesertaItem?.peserta?.psr_alasan_menang}
                    #{/if}
				</td>
				<td align="right">${pesertaItem.nev_harga?.rupiah()}</td>
                #{if lelang.evaluasi.nilai}
					<td align="right">${pesertaItem.nev_skor}</td>
                #{/if}
			</tr>
        #{/list}
    #{/else}
</table>

	#{if editable} #{saveButton /} #{/if}
#{/form}

<div class="bs-callout bs-callout-info">
	&{'lelang_evaluasi.peserta_urutan'}
</div>

#{if editable}
<div class="alert alert-danger" role="alert" id="blacklisted">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
    &{'lelang_evaluasi.tdk_dapat_mengirim_penetapan'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'lelang_evaluasi.info_lanjut'}.</p>
</div>

<div class="alert alert-danger" role="alert" id="confirmation">
    <p><h5><strong><i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
   &{'lelang_evaluasi.spse_maintenance'} (<a href="${inaproc_url}" target="_blank">${inaproc_url}</a>) &{'lelang_evaluasi.spse_maintenance2'}
    <br/><br/>{'lelang_evaluasi.lanjutkan_pemenang'}</p>
    <br/>
    <button class="btn btn-success" id="yes-confirm">Ya</button>&nbsp;<button class="btn btn-default" id="no-confirm">&{'lelang_evaluasi.tidak'}</button>
</div>

<div class="alert alert-warning" role="alert" id="load">
    <p><h5><strong><i class="fa fa-history" aria-hidden="true"></i>
    &{'lelang_evaluasi.pemeriksaan_daftar_hitam'}.</strong></h5></p>
</div>
#{/if}

<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/js/autoNumeric.min.js'/}"></script>
<script type="text/javascript">
	$(document).ready(function () {

        new AutoNumeric.multiple('.nilaiEvaluasi', {
            maximumValue: "100",
            minimumValue: "0",
            decimalCharacter: ",",
            digitGroupSeparator: "."
        });

		$("#load").hide();

		$('#blacklisted').hide();

		$('#confirmation').hide();

		$('#no-confirm').click(function () {
			$('#confirmation').hide();
			$('button[name="submit"]').show();
			return false;
		});

		$('#yes-confirm').click(function () {
			$('#formPenetapanPemenang').submit();
		});

		$('input[type=radio][name=radio]').change(function () {
			var mx = ${i};
			if (this.id > 0) {
				for (var i = 0; i < this.id; i++) {
					$('#div-alasan' + i).show();

				}

			}
			for (var i = this.id; i < mx; i++) {
				$('#div-alasan' + i).hide();

			}

		});
	});

    #{if (lelang.jumlahPenawar < 3 && editable) || ((lelang.kategori.konsultansi || lelang.kategori.jkKonstruksi) && editable)}
	$(document).ready(function () {
		//banyak data
		var mx = ${i};
		//input harga only number
		for (var x = 0; x <= mx; x++) {
			$('input[name="harga[' + x + ']"]').keypress(function (e) {
				return isNumberKey(e);
			});
		}

	});
    #{/if}

	function checkAlasan() {
		var alasan = $("#alasan").val();
		if (alasan == '') {
			alert("Alasan wajib diisi");
			return false;
		}

	}

	$('button[name="submit"]').click(function () {
		var id = $(".radio:checked").attr('id');
		var namaPeserta = $("#psr_" + id + "").val();
		var message = "Apakah Anda yakin akan menetapkan Peserta '" + namaPeserta + "' sebagai Pemenang?"
		if (confirm(message) == true) {
			var mx = ${i};
			var valid = true;
			var nevId = $('input[name="radio"]:checked').val();
			var blacklistUrl = #{jsRoute @lelang.EvaluasiCtr.pengecekanBlacklist(':nevId') /};

        #{if (lelang.jumlahPenawar < 3 && editable) || ((lelang.kategori.konsultansi || lelang.kategori.jkKonstruksi) && editable)}
			for (var i = 0; i <= mx; i++) {
				var a = $('input[name="harga[' + i + ']"]').val();

				if (a == 0 || a == null) {
					alert("Harga Tidak Boleh Kosong");
					$('input[name="harga[' + i + ']"]').focus();
					return false;
				}
			}
        #{/if}

			//pemeriksaan blacklist
			$('button[name="submit"]').hide();
			$('#load').show();
			$.ajax({
				type: 'POST',
				async: false,
				url: blacklistUrl.url({nevId: nevId}),

				success: function (data) {
					if (data == 2) {
						valid = false;
						$('#confirmation').show();
					} else if (data == 1) {
						valid = false;
						$('#blacklisted').show();
					} else {
						$('button[name="submit"]').show();
					}
					$('#load').hide();
				},

				error: function () {
					$('#load').hide();
					$('button[name="submit"]').show();
					alert('error');
				}
			});

			if (valid == true)
				$('#formPenetapanPemenang').submit();
			else
				return false;
		}

	});
</script>

